## Apache Zeta Components Manual :: Docs For Class ezcDbHandlerMysql

### Database::ezcDbHandlerMysql

### Class ezcDbHandlerMysql

MySQL driver implementation

Source for this file: /Database/src/handlers/mysql.php

    PDO
       |
       --ezcDbHandler
          |
          --ezcDbHandlerMysql

Version: | //autogentag//

### Member Variables

protected string | `$identifierQuoteChars = array( "start" => '`', "end" => '`', )` Characters to quote identifiers with. Should be overwritten in handler implementation, if different for a specific handler. In some cases the quoting start and end characters differ (e.g. ODBC), but mostly they are the same.

### Inherited Member Variables

From ezcDbHandler
protected | `ezcDbHandler::$transactionErrorFlag`
protected | `ezcDbHandler::$transactionNestingLevel`

### Method Summary

public static string | `getName( )` Returns 'mysql'.
public ezcDbHandlerMysql | `__construct( $dbParams )` Constructs a handler object from the parameters $dbParams.
public ezcUtilitiesMysql | `createUtilities( )` Returns a new ezcUtilities derived object for this database instance.

### Inherited Methods

From ezcDbHandler
public ezcDbHandler | `ezcDbHandler::__construct()` Constructs a handler object.
public bool | `ezcDbHandler::beginTransaction()` Begins a transaction.
public bool | `ezcDbHandler::commit()` Commits a transaction.
public ezcQueryDelete | `ezcDbHandler::createDeleteQuery()` Returns a new ezcQueryDelete derived object for the correct database type.
public ezcQueryExpression | `ezcDbHandler::createExpression()` Returns a new ezcQueryExpression derived object for the correct database type.
public ezcQueryInsert | `ezcDbHandler::createInsertQuery()` Returns a new ezcQueryInsert derived object for the correct database type.
public ezcQuerySelect | `ezcDbHandler::createSelectQuery()` Returns a new ezcQuerySelect derived object for the correct database type.
public ezcQueryUpdate | `ezcDbHandler::createUpdateQuery()` Returns a new ezcQueryUpdate derived object for the correct database type.
public ezcDbUtilities | `ezcDbHandler::createUtilities()` Returns a new ezcUtilities derived object for the correct database type.
public string | `ezcDbHandler::quoteIdentifier()` Returns the quoted version of an identifier to be used in an SQL query.
public bool | `ezcDbHandler::rollback()` Rollback a transaction.

### Methods

#### getName

static string getName( )

Returns 'mysql'.

#### __construct

ezcDbHandlerMysql __construct( array $dbParams )

Constructs a handler object from the parameters $dbParams.

Supported database parameters are:

- dbname|database: Database name
- user|username: Database user name
- pass|password: Database user password
- host|hostspec: Name of the host database is running on
- port: TCP port
- charset: Client character set
- socket: UNIX socket path

##### Parameters:

Name | Type | Description
--- | --- | ---
`$dbParams` | array | Database connection parameters (key=>value pairs).

##### Exceptions:

Type | Description
--- | ---
`ezcDbMissingParameterException` | if the database name was not specified.

##### Redefinition of:

Method | Description
--- | ---
`ezcDbHandler::__construct()` | Constructs a handler object.

#### createUtilities

ezcUtilitiesMysql createUtilities( )

Returns a new ezcUtilities derived object for this database instance.

##### Redefinition of:

Method | Description
--- | ---
`ezcDbHandler::createUtilities()` | Returns a new ezcUtilities derived object for the correct database type.

Documentation generated by phpDocumentor 1.4.3